### Method

# Camel InternetAddress add

#### Declaration [src]

    gint
    camel_internet_address_add (
      CamelInternetAddress* addr,
      const gchar* name,
      const gchar* address
    )

#### Description [src]

Add a new internet address to `addr`.

#### Parameters

`name`

  Type: `const gchar*`

  Name associated with the new address.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`address`

  Type: `const gchar*`

  Routing address associated with the new address.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The index of added entry.